ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

PlaceHolder

Synopsis

- data PlaceHolder = PlaceHolder
- type family PostTc it ty :: *
- type family PostRn id ty :: *
- placeHolderKind :: PlaceHolder
- placeHolderFixity :: PlaceHolder
- placeHolderType :: PlaceHolder
- placeHolderTypeTc :: Type
- placeHolderNames :: PlaceHolder
- placeHolderNamesTc :: NameSet
- type DataId id = (Data id, Data (PostRn id NameSet), Data (PostRn id Fixity), Data (PostRn id Bool), Data (PostRn id [Name]), Data (PostTc id Type), Data (PostTc id Coercion))

# Documentation

data PlaceHolder

used as place holder in PostTc and PostRn values

Constructors

PlaceHolder |

Instances

Data PlaceHolder |

type family PostTc it ty :: *

Types that are not defined until after type checking

Instances

type PostTc Name ty = PlaceHolder |
type PostTc RdrName ty = PlaceHolder |
type PostTc Id ty = ty |

type family PostRn id ty :: *

Types that are not defined until after renaming

Instances

type PostRn Name ty = ty |
type PostRn RdrName ty = PlaceHolder |
type PostRn Id ty = ty |

placeHolderKind :: PlaceHolder

placeHolderFixity :: PlaceHolder

placeHolderType :: PlaceHolder

placeHolderTypeTc :: Type

placeHolderNames :: PlaceHolder

placeHolderNamesTc :: NameSet

type DataId id = (Data id, Data (PostRn id NameSet), Data (PostRn id Fixity), Data (PostRn id Bool), Data (PostRn id [Name]), Data (PostTc id Type), Data (PostTc id Coercion))